#ifndef _EARTRAINING_CPP_
#define _EARTRAINING_CPP_

#include <iostream.h>

#include <qlabel.h>

#include <reference.h>
#include <table.h>
#include <event.h>
#include <part.h>
#include <track.h>
#include <song.h>
#include <str.h>

#include "earTraining.h"
#include "qtEar.h"

extern Table * selectioN;
extern Table * selectionMemory;

#define EARTRAINING_CONTEXT Addon::TREAT_GLOBAL

extern "C" {
  Addon * earTraining(Element * target) { return new EarTraining(target); }
  const char  * earTraining_name() { return "ear training"; }
  const char  * earTraining_category() { return "harmony"; }
  int     earTraining_context() { return EARTRAINING_CONTEXT; }
}


EarTraining::EarTraining(Element * target) : Addon("ear training", target, !TO_BE_UNDONE, EARTRAINING_CONTEXT) { run(); }

EarTraining::~EarTraining() {
}


void EarTraining::global() {
  cout << "eartraining" << endl;
  // QLabel * l = new QLabel(0,"hi");
  QtEar * ear = new QtEar();
  ear->show();

}

void EarTraining::undo() {
}

void EarTraining::redo() {
}






#endif
